Error while using urlretrieve

Hi,
I am trying to run the code on Kaggle and when I am using urlretrieve(medical_charges_url,‘medical.csv’) function it shows me this error.
URLError: <urlopen error [Errno -3] Temporary failure in name resolution>

You’ll need to enable internet on Kaggle. You will see the option in the right sidebar on Kaggle.

1 Like

Hi,
I’m getting this error below, I’m using Kaggle and my internet is active
image

Hi,

I’m getting the error below while running the code using urlretrieve
Kindly assist

urlretrieve(medical_charges_url, ‘medical.csv’)

gaierror Traceback (most recent call last)
/opt/conda/lib/python3.7/urllib/request.py in do_open(self, http_class, req, **http_conn_args)
1349 h.request(req.get_method(), req.selector, req.data, headers,
→ 1350 encode_chunked=req.has_header(‘Transfer-encoding’))
1351 except OSError as err: # timeout error

/opt/conda/lib/python3.7/http/client.py in request(self, method, url, body, headers, encode_chunked)
1276 “”“Send a complete request to the server.”""
→ 1277 self._send_request(method, url, body, headers, encode_chunked)
1278

/opt/conda/lib/python3.7/http/client.py in _send_request(self, method, url, body, headers, encode_chunked)
1322 body = _encode(body, ‘body’)
→ 1323 self.endheaders(body, encode_chunked=encode_chunked)
1324

/opt/conda/lib/python3.7/http/client.py in endheaders(self, message_body, encode_chunked)
1271 raise CannotSendHeader()
→ 1272 self._send_output(message_body, encode_chunked=encode_chunked)
1273

/opt/conda/lib/python3.7/http/client.py in _send_output(self, message_body, encode_chunked)
1031 del self._buffer[:]
→ 1032 self.send(msg)
1033

/opt/conda/lib/python3.7/http/client.py in send(self, data)
971 if self.auto_open:
→ 972 self.connect()
973 else:

/opt/conda/lib/python3.7/http/client.py in connect(self)
1438
→ 1439 super().connect()
1440

/opt/conda/lib/python3.7/http/client.py in connect(self)
943 self.sock = self._create_connection(
→ 944 (self.host,self.port), self.timeout, self.source_address)
945 self.sock.setsockopt(socket.IPPROTO_TCP, socket.TCP_NODELAY, 1)

/opt/conda/lib/python3.7/socket.py in create_connection(address, timeout, source_address)
706 err = None
→ 707 for res in getaddrinfo(host, port, 0, SOCK_STREAM):
708 af, socktype, proto, canonname, sa = res

/opt/conda/lib/python3.7/socket.py in getaddrinfo(host, port, family, type, proto, flags)
751 addrlist = []
→ 752 for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
753 af, socktype, proto, canonname, sa = res

gaierror: [Errno -3] Temporary failure in name resolution

During handling of the above exception, another exception occurred:

URLError Traceback (most recent call last)
in
----> 1 urlretrieve(medical_charges_url, ‘medical.csv’)

/opt/conda/lib/python3.7/urllib/request.py in urlretrieve(url, filename, reporthook, data)
245 url_type, path = splittype(url)
246
→ 247 with contextlib.closing(urlopen(url, data)) as fp:
248 headers = fp.info()
249

/opt/conda/lib/python3.7/urllib/request.py in urlopen(url, data, timeout, cafile, capath, cadefault, context)
220 else:
221 opener = _opener
→ 222 return opener.open(url, data, timeout)
223
224 def install_opener(opener):

/opt/conda/lib/python3.7/urllib/request.py in open(self, fullurl, data, timeout)
523 req = meth(req)
524
→ 525 response = self._open(req, data)
526
527 # post-process response

/opt/conda/lib/python3.7/urllib/request.py in _open(self, req, data)
541 protocol = req.type
542 result = self._call_chain(self.handle_open, protocol, protocol +
→ 543 ‘_open’, req)
544 if result:
545 return result

/opt/conda/lib/python3.7/urllib/request.py in _call_chain(self, chain, kind, meth_name, *args)
501 for handler in handlers:
502 func = getattr(handler, meth_name)
→ 503 result = func(*args)
504 if result is not None:
505 return result

/opt/conda/lib/python3.7/urllib/request.py in https_open(self, req)
1391 def https_open(self, req):
1392 return self.do_open(http.client.HTTPSConnection, req,
→ 1393 context=self._context, check_hostname=self.check_hostname)
1394
1395 https_request = AbstractHTTPHandler.do_request

/opt/conda/lib/python3.7/urllib/request.py in do_open(self, http_class, req, **http_conn_args)
1350 encode_chunked=req.has_header(‘Transfer-encoding’))
1351 except OSError as err: # timeout error
→ 1352 raise URLError(err)
1353 r = h.getresponse()
1354 except:

URLError: <urlopen error [Errno -3] Temporary failure in name resolution>

Hey, Is the link all right? Please check the link if it’s working?